注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Explore in Data

Just enjoy it.

 
 
 

日志

 
 

安装python2.7 并使用pip 安装各种包  

2013-07-31 13:03:41|  分类: 编程菜鸟 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
由于要使用python的nltk,于是进入到官网,赫然发现:
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
于是我的python2.5 就悲剧了。只有去装高级版本了。
去google 看了一会,发现大家都说电脑里有几个版本的python 没什么兼容问题。不过就是要设置一下环境变量,让电脑知道打开一个py 文件的时候是用哪个版本就可以了。
好吧,那我就开装了。

一、windows安装python2.7.3
到python官网下载2.7.3安装包然后安装。·
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data

搞定(装在了E盘)。
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
二、(windows下)python2.7 安装pip
为什么要装pip
pip可以安装、管理、包括卸载各种python 的包。而众所周知,python 的强大之处就在于各式各样可以完成各种功能的包(库)。如果每次安装都要跑到包(库)的官网上面,或者跑到python 的官方包仓库PyPI - the Python Package Index 上面下载安装包,然后点setup.py 来安装,那实在太辛苦。如果有一个东西,能跟他说,我要下载一个包,然后它就帮你下了,那多美好。
因此pip 应运而生。

安装步骤
使用了该回答的方法:How to install pip on windows?

1. 安装setuptools
注:对于python2x 系列需要先安装setuptools 之后才可以安装pip。但python3x 系列需要先安装distribute 之后才可以安装pip
为什么要先装setuptools 呢?这就需要了解easy_install 和pip 和setuptool 的关系了。
安装了setuptools 之后其实就可以下载python包了,下载了setuptool 之后就有一个包下载工具:easy_install 。但是easy_install 已经可以做到你跟它说我要下载一个包,它就帮你下载了。但是当你说我要卸掉这个包,它就悲剧了。所以我们需要使用它的升级版:pip。pip 就可以完成包的卸载任务了。
有人这么形容setuptools 和easy_install 和pip 的关系。easy_install 和pip 都是setuptools 的孩子,都需要依托setuptools 才能运行。easy_install 是大孩子,pip 是二孩子,但二孩子的能力要强一点,所以就使用二孩子。

终于到了安装时间,首先出场的是windows python用户的包下载神地址:Unofficial Windows Binaries for Python Extension Packages
(如果从pip 下载失败的包,只要从这里下载然后直接安装即可,方便快捷。当然前提是这里有你需要的包。)
先在python 的文件夹里找到Scripts。没找到?那就新建一个吧。
在神地址那里找到setuptools ,因为是exe 文件,所以直接双击安装即可,安装在Scripts 文件夹下。
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
2. 安装pip
和安装setuptools 方法一样。在神地址中找到pip ,下载然后直接安装在Scripts 下,ok。
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
3. 设置环境变量
设置环境变量的道理不是太记得了,大概是可以在下载包的时候可以下载到的python 中。而如果有多个python 版本,那就会下载到先读到的那个环境变量的python 中
设置方法:右键我的电脑 -> 属性 -> 高级系统设置 -> 环境变量 -> 将 E:\python27\Scripts(看python 装在什么盘,看什么python 版本。装在C盘则 C:\python27\Scripts)加入到Path 那一组当中。
就是这里了:
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
在里面添加:E:\python27\Scripts(此外我还学很多人一样添加了E:\python27,虽然不知道会不会有什么用
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
三、使用pip 下载包
终于可以用pip 下载包了,那怎么和它说我要下载呢?这需要windows 的dos 窗口输入命令。
打开dos 窗口:开始->运行,输入cmd
就是它了:
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
 
然后输入:pip install + 需要的包的名字,如下图,我需要下一个读excel 文件的包。
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
然后就会变成这样(pip 会自动下载符合的python 版本的包):
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
DONE!
安装python2.7 并使用pip 安装各种包 - rzcoding - Explore in Data
 
至于卸载嘛,还没用过,就不说了。还有其它功能,就需要的时候再查google 好了。
  评论这张
 
阅读(2031)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017